package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum StatusEnum implements BaseEnum, IEnum<Boolean> {
    ONE("true", "启用"),
    TWO("false", "禁用"),
    ;

    @JsonValue
    @EnumValue
    private final String key;
    private final String remark;


    @Override
    public Boolean getValue() {
        return Boolean.parseBoolean(key);
    }
}